Sisimai::Reason::Suspend(3pm)

NAME
Sisimai::Reason::Suspend - Bounce reason is "suspend" or not.

SYNOPSIS
    use Sisimai::Reason::Suspend;
    print Sisimai::Reason::Suspend->match('recipient suspend the service'); # 1

DESCRIPTION
"Sisimai::Reason::Suspend" checks the bounce reason is "suspend" or not. This class is called only "Sisimai::Reason" class. This is the error that the recipient account is being suspended due to unpaid, or being inactive, or other reasons.

CLASS METHODS

  "text()"
text() method returns the fixed string "suspend".

    print Sisimai::Reason::Suspend->text;  # suspend

  "match(string)"
match() method returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::Suspend->match('recipient suspend the service'); # 1

  "true(Sisimai::Fact)"
true() method returns 1 if the bounce reason is "suspend". The argument must be "Sisimai::Fact" object and this method is called only from "Sisimai::Reason" class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2021,2023-2025 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.